[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# CompareExpandedNodes

Function to compare the node text in two tree nodes.

## Declaration

Source position: comctrls.pp line 4171

`function CompareExpandedNodes(`
`Data1: Pointer;`
`Data2: Pointer`
`):Integer;`

## Description

This function does an ANSICompare on the NodeText of two nodes. The parameters Data1 and Data2 are pointers to the nodes to be compared. The result is the same as the result from ANSICompareText. For example:

-1
  The nodetext from the first node is lower than the nodetext from the second.
0
  The nodetext values from both nodes are equal.
1
  The nodetext from the first node is higher than the nodetext from the second.